1. Media Generation
XPiki
  • Media Generation
    • Image Generation
      POST
    • Video Generation
      POST
    • Polling Task
      GET
    • SSE Events
      GET
    • Get Output
      GET
    • Cancel Task
      POST
  • Text Generation
    • Chat Completions
      POST
  • List Models
    GET
  1. Media Generation

Video Generation

Developing
POST
https://api.xpiki.com/v1/video-generations

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.xpiki.com/v1/video-generations' \
--header 'Authorization: Bearer <Your API Key>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
  "model": "happyhorse-r2v",
  "prompt": "Transform the scene into a cyberpunk style with neon lights and rain effects",
  "resolution": "720p",
  "duration_seconds": 5,
  "aspect_ratio": "16:9",
  "use_audio_in_video": true,
  "references": [
    "https://example.com/input-video.mp4",
    "https://example.com/style-reference.jpg"
  ]
}'
Response Response Example
{}
Modified at 2026-07-21 04:11:44
Previous
Image Generation
Next
Polling Task
Built with